# Lomiri QML Type

Provides global object with different enums. More...

Import Statement: | import Lomiri.Components 1.3
Since: | Lomiri.Components 1.2

- List of all members, including inherited members

## Properties

- toolkitVersion : uint16
- toolkitVersionMajor : uint16
- toolkitVersionMinor : uint16

## Methods

- uint16 version(int major, int minor)

## Detailed Description

### Enums

##### CaptionStyle enum

The enumeration configures the Captions component style.

Enum | Description
--- | ---
TitleCaptionStyle | The Captions labels are configured to represent caption behavior.
SummaryCaptionStyle | The Captions labels are configured to represent a summary-like description.

## Property Documentation

[read-only] toolkitVersion : uint16

The property holds the version of the current toolkit imported.

This property was introduced in Lomiri.Components 1.3.

[read-only] toolkitVersionMajor : uint16

The property holds the major version of the current toolkit imported.

This property was introduced in Lomiri.Components 1.3.

[read-only] toolkitVersionMinor : uint16

The property holds the minor version of the current toolkit imported.

This property was introduced in Lomiri.Components 1.3.

## Method Documentation

uint16 version(int major, int minor)

The function builds a version identifier using a major and minor components.

This method was introduced in Lomiri.Components 1.3.